Forums Développement Multimédia

Aller au contenu

Flashdevelop 4.2.x + Air 3.5 + Worker

CODE Actionscript

4 réponses à ce sujet

#1 PixelPierrot

    Ceinture Verte

  • Members
  • PipPipPipPip
  • 66 messages

Posté 25 January 2013 - 15:49 PM

Bonjour à tous,


Je m'essaye actuellement aux Workers avec Air 3.5 et FlashDevelop 4.2.x. La compilation fonctionne très bien mais j'ai une erreur bizarre: Lorsque s'exécute le swf avec ADL, j'obtiens le message d'erreur suivant: "VerifyError: Error # 1014: Class :: Worker flash.system could not be found."
ça fonctionne très bien en passant par Flash Player 11.5, mais Air ne veut rien savoir
Auriez-vous une idée d'où cela pourrait venir?
Merci d'avance.

#2 thot

    Ceinture Noire

  • Moderateur
  • PipPipPipPipPipPipPip
  • 331 messages

Posté 25 January 2013 - 17:14 PM

Tu as installé les fichiers AIR en remplacant leurs équivalents dans ton flexSDK ?

#3 Galacta

    Etudiant Ingénieur

  • Moderateur
  • PipPipPipPipPipPipPipPip
  • 689 messages

Posté 25 January 2013 - 21:25 PM

Salut,

Je crois qu'il faut que tu spécifies la version du SDK à utiliser dans les arguments du compilateur, j'avais eu un soucis similaire. Je n'ai plus en tête la version du SDK ... 17 ? Sans assurance.
Word hard, play hard.

#4 pol2095

  • Members
  • PipPipPipPipPipPipPipPip
  • 1918 messages

Posté 28 January 2013 - 01:09 AM

il faut flex sdk 4.9, rajouter au compileur

Citation

-target-player=11.5 -swf-version=18
et mettre air 3.5 dans l'app-descriptor.xml de l'application.

#5 PixelPierrot

    Ceinture Verte

  • Members
  • PipPipPipPip
  • 66 messages

Posté 28 January 2013 - 10:49 AM

Et une bonne réponse de pol2095!

ça marche!
Pour info, dans mon cas le "-target-player=11.5" n'est pas indispensable! Mais il me manquait le reste
Merci beaucoup!



1 utilisateur(s) li(sen)t ce sujet

0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)